Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".

#1 Le 05/07/2006, à 18:48

Placide

Problème avec DPKG

Bonsoir à tous,

Voilà je vous présente mon problème. Apparament l outil dpkg ne fonctionne pas correctement et il semblerai que ce soit du au fait que le paquet initial ne se soit pas bien extrait.
Le prob c que même en reinterant l install ca marche pas
Du coup quand j essaye de charger des paquet avec apt get ou synaptic ca marche pas.
Je vous joins le code d 'erreur.
Qqun aurait t il une solution plz

E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
dpkg: dependency problems prevent configuration of gnome-gv:
 gnome-gv depends on gs-esp | gs; however:
  Package gs-esp is not installed.
  Package gs is not installed.
dpkg: error processing gnome-gv (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of hpijs:
 hpijs depends on gs-gpl (>= 8.01-5) | gs-esp (>= 7.07.01-8) | gs-afpl (>= 7.04-2); however:
  Package gs-gpl is not installed.
  Package gs-esp is not installed.
  Package gs-afpl is not installed.
dpkg: error processing hpijs (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of gs-common:
 gs-common depends on gs-esp | gs; however:
  Package gs-esp is not installed.
  Package gs is not installed.
dpkg: error processing gs-common (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of ijsgimpprint:
 ijsgimpprint depends on gs-esp (>= 6.53) | gs (>= 6.53) | gs-aladdin (>= 7.04); however:
  Package gs-esp is not installed.
  Package gs is not installed.
  Package gs-aladdin is not installed.
dpkg: error processing ijsgimpprint (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of pnm2ppa:
 pnm2ppa depends on gs; however:
  Package gs is not installed.
dpkg: error processing pnm2ppa (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of ubuntu-desktop:
 ubuntu-desktop depends on gnome-gv; however:
  Package gnome-gv is not configured yet.
 ubuntu-desktop depends on gs-esp; however:
  Package gs-esp is not installed.
 ubuntu-desktop depends on pnm2ppa; however:
  Package pnm2ppa is not configured yet.
 ubuntu-desktop depends on ttf-arphic-gkai00mp; however:
  Package ttf-arphic-gkai00mp is not installed.
 ubuntu-desktop depends on ttf-baekmuk; however:
  Package ttf-baekmuk is not installed.
dpkg: error processing ubuntu-desktop (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of foomatic-db-hpijs:
 foomatic-db-hpijs depends on hpijs (>> 1.3); however:
  Package hpijs is not configured yet.
dpkg: error processing foomatic-db-hpijs (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of foomatic-db-gimp-print:
 foomatic-db-gimp-print depends on ijsgimpprint (>= 4.2.7-4ubuntu4); however:
  Package ijsgimpprint is not configured yet.
dpkg: error processing foomatic-db-gimp-print (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 gnome-gv
 hpijs
 gs-common
 ijsgimpprint
 pnm2ppa
 ubuntu-desktop
 foomatic-db-hpijs
 foomatic-db-gimp-print

C vraiment du chinois pour moi (bien que je sois sur que le chinois soit parfaitement compréhensible si on s en donne la peine;))

Merci bcp

#2 Le 05/07/2006, à 21:55

Lestat the vampire

Re : Problème avec DPKG

C'est tres clair, c'est ecrit dans les messages d'erreurs...;tu as un problemes de dépendances : cela siginfie que tu ne peux pas installer ton paquet car il depend d'autres paquets qui ne sont pas installés chez toi....installes donc d'abord les dépendances puis ton paquet souhaité.
Sous Dapper, Gdebi gere cela tres bien, alors que dpkg ne sais pas bien le faire.

Hors ligne

#3 Le 06/07/2006, à 11:04

placide

Re : Problème avec DPKG

Merci bcp pour ta réponse.
Je teste sur la bécane :)